# Unit gdt

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

## Description

Global Descriptor Table - Data Structures & Interface.

## Uses

- console

## Overview

### Classes, Interfaces, Objects and Records

Name | Description
--- | ---
Packed Record `TGDT_Entry` |
Packed Record `TGDT_Pointer` |

### Functions and Procedures

`procedure init();`
`procedure set_gate(Gate_Number : uint32; Base : uint32; Limit : uint32; Access : uint8; Granularity : uint8);`
`procedure flush;`
`procedure reload;`

### Types

`PGDT_Entry = ˆTGDT_Entry;`

### Variables

`gdt_entries: array[0..1023] of TGDT_Entry;`
`gdt_pointer: TGDT_Pointer;`

## Description

### Functions and Procedures

`procedure init();`

`procedure set_gate(Gate_Number : uint32; Base : uint32; Limit : uint32; Access : uint8; Granularity : uint8);`

`procedure flush;`

`procedure reload;`

### Types

`PGDT_Entry = ˆTGDT_Entry;`

### Variables

`gdt_entries: array[0..1023] of TGDT_Entry;`

`gdt_pointer: TGDT_Pointer;`

## Author

- Kieron Morris <kjm@kieronmorris.me>

Generated by PasDoc 0.15.0.